using System;
using System.Collections.Generic;
using System.Text;

namespace com.trackplus.track.ws
{
    public class SystemFields
    {
        //required system dropdowns
	public  const int PROJECT = 1;
	public  const int ISSUETYPE = 2;
	public  const int SUBPROJECT = 3;
	public  const int STATE = 4;
	public  const int MANAGER = 5;
	public  const int RESPONSIBLE = 6;
	
	//not required system dropdowns
	public  const int CLASS = 7;
	public  const int RELEASENOTICED = 8;
	public  const int RELEASESCHEDULED = 9;
	public  const int PRIORITY = 10;
	public  const int SEVERITY = 11;	

	//system label fields
	public  const int ISSUENO = 12;
	public  const int ORIGINATOR = 13;	
	public  const int CREATEDATE = 14;
	public  const int LASTMODIFIEDDATE = 15;
	public  const int SUPERIORWORKITEM = 16;
	
	public  const int CHANGEDBY = 24;

	//required system textbox
	public  const int SYNOPSYS = 17;
	
	//not required system textbox
	public  const int BUILD = 18;
	public  const int STARTDATE = 19;
	public  const int ENDDATE = 20;		
	public  const int DESCRIPTION = 21;
	
	//not required system checkbox 
	public const int ACCESSLEVEL = 22;
	
	//this a "pseudo" system field: may appear on screens and will be saved in history 
	//but doesn't appear in other places where "normal" fields are dealt with
	public  const int COMMENT = 23;
    }
}
