/*
 * This file is part of the Track+ application, a
 * tool for project and change management.
 *
 * Copyright (C) 2008 Trackplus
 *
 * Use and distribution of this software is governed by the
 * Track+ license conditions.
 *
 * $Id$
 */


using System;
using System.Collections.Generic;
using System.Text;
using com.trackplus.webservice.client.trackplusWS;
using com.trackplus.track.ws;
using com.trackplus.track.ws.tcl;
using com.trackplus.track.ws.util;
using log4net;
using log4net.Config;


namespace com.trackplus.track.ws
{

    /**
     * This is an example of using Container base authentication
     */
    public class CbaSample
    {
        protected static string url = "http://localhost:8080/track"; //"https://www.trackplus.com/track";
        /**
         * The user login name
         */
        protected static string cbaUser = "admin";//"guest";
        /**
         * The user password
         */
        protected static string cbaPasswd = "tissi";// "trackplus";



        public static void main(string[] args)
        {

            try
            {
                TCLFacade connector = new TCLFacade(url, cbaUser, cbaPasswd);

                PersonSample personSample = new PersonSample(connector);
                personSample.getAllUsers();

                QuerySample querySample = new QuerySample(connector);
                querySample.getQueries();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex);
            }
        }
    }
}
